Summary: System manual pages from the Linux Documentation Project
Name: man-pages
%define	version	1.21
Version: %{version}
Release: 1
Copyright: distributable
Group: Documentation
Source: ftp://ftp.win.tue.nl/pub/linux/man/man-pages-%{version}.tar.gz
Buildroot: /var/tmp/man-pages
Autoreqprov: false
BuildArchitectures: noarch
Summary(de): System-man-Seiten vom Linux Documentation Project
Summary(fr): Pages man systme du Projet de Documentation Linux
Summary(tr): Linux Belgeleme Projesinin sistem klavuz sayfalar

%description
A large collection of man pages covering programming APIs, file
formats, protocols, etc.

    Section 1 = user commands (intro only)
    Section 2 = system calls
    Section 3 = libc calls
    Section 4 = devices (e.g., hd, sd)
    Section 5 = file formats and protocols (e.g., wtmp, /etc/passwd, nfs)
    Section 6 = games (intro only)
    Section 7 = conventions, macro packages, etc. (e.g., nroff, ascii)
    Section 8 = system administration (intro only)

%description -l de
Eine groe Sammlung von man-Seiten ber Programmier-APIs,
Dateiformate, Protokolle, usw..

    Section 1 = Benutzerbefehle (nur intro)
    Section 2 = Systemaufrufe
    Section 3 = libc-Aufrufe
    Section 4 = Gerte (z.B. hd, sd)
    Section 5 = Dateiformate und Protokolle (z.B. wtmp, /etc/passwd, nfs)
    Section 6 = Spiele (nur intro)
    Section 7 = Konventionen, Makro-Pakete, usw. (z.B. nroff, ascii)
    Section 8 = Systemverwaltung (nur intro)

%description -l fr
Un large ensemble de pages de man couvrant la programmation des APIs,
les formats de fichiers, les protocoles, etc.

    Section 1 = commandes utilisateur (intro seulement)
    Section 2 = appels systme
    Section 3 = appels libc
    Section 4 = priphriques (e.g., hd, sd)
    Section 5 = formats de fichiers et protocoles (e.g., wtmp, /etc/passwd, nfs)
    Section 6 = jeux (intro seulement)
    Section 7 = conventions, paquetages, etc. (e.g., nroff, ascii)
    Section 8 = administration systme (intro seulement)

%description -l tr
Programlama arayzlerini, dosya formatlarn, protokolleri vs. kapsayan,
geni bir klavuz sayfalar derlemesi.

%prep
%setup -q

%build
rm -fv man1/{chgrp,chmod,chown,cp,dd,df,dircolors,du,install}.1
rm -fv man1/{ln,ls,mkdir,mkfifo,mknod,mv,rm,rmdir,touch}.1
rm -fv man2/modules.2 man2/quotactl.2 man2/get_kernel_syms.2 
rm -fv man2/{create,delete,init,query}_module.2
rm -fv man3/resolver.3
rm -fv man3/getnetent.3
rm -fv man4/console.4
rm -fv man5/exports.5
rm -fv man5/nfs.5
rm -fv man5/fstab.5

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/man
for n in 1 2 3 4 5 6 7 8; do
	mkdir $RPM_BUILD_ROOT/usr/man/man$n
done
for n in man?/*; do
	cp -a $n $RPM_BUILD_ROOT/usr/man/$n
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,man,2755)
/usr/man/man*/*

%changelog
* Tue Sep 08 1998 Cristian Gafton <gafton@redhat.com>
- version 1.21

* Sat Jun 20 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.20

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- get rid of the modutils man pages
- updated to 1.19

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 1.18

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to 1.17
- moved build root to /var

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
